Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 506154 - Script textarea of Remote Command should not wrap
Summary: Script textarea of Remote Command should not wrap
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Shannon Hughes
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks: sat540-canfix
TreeView+ depends on / blocked
 
Reported: 2009-06-15 18:55 UTC by Jay Dobies
Modified: 2010-10-28 14:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 14:48:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jay Dobies 2009-06-15 18:55:13 UTC
Description of problem:
When fixing 501933, I made the readonly textarea of the script on the confirmation page not wrap so as to not confuse the script writer. I think the textarea for the input page should be set to not wrap as well. Wrapping can make the script read incorrectly and look as if commands are separated onto multiple lines when in reality they are not.

Version-Release number of selected component (if applicable):
5.3

How reproducible:
Always

Steps to Reproduce:
1. Navigate to SSM > Provisioning > Remote Command
2. Enter a script with a very long line. The line will wrap.
3.
  
Actual results:
Line of the script wraps, appearing to be multiple lines.

Expected results:
My opinion is that the textarea should scroll to show the full width of the line without wrapping it.

Additional info:
If this is determined to not be the desired behavior, the fix for 501933 should probably be changed to remove the wrap="off" attribute for consistency between the editing page and the confirmation page.

Comment 1 Jay Dobies 2009-06-15 19:26:44 UTC
Master
commit	121a259a4f609854aed3e50102b37aeb6b74905f
tree	96f6500b1c802149f74b1500e114366853f52816

Not in Vader/5.3.

web/modules/rhn/RHN/Form/Widget/TextArea.pm
web/modules/sniglets/Sniglets/Servers.pm

Added "wrap" option to textarea widget. Set to off for remote command script editing page.

Comment 2 Petr Sklenar 2010-09-21 16:20:06 UTC
reproduced with sat530
and
its not wrap in Satellite-5.4.0-RHEL5-re20100910.2
--
verified

Comment 4 Clifford Perry 2010-10-28 14:43:25 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.